package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysUploadInfo
import com.gxzc.zen.common.base.BaseService
import com.gxzc.zen.common.dto.ZenFileMetadata
import java.io.File

/**
 * <p>
 * 上传文件信息表 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-06-01
 */
interface ISysUploadInfoService : BaseService<SysUploadInfo> {
    fun test()
    /**
     * 添加文件数据
     */
    fun addUploadFileInfo(fileMetadata: ZenFileMetadata, file: File)

    /**
     * 获取某上传批次所有文件数据
     */
    fun getUploadInfosByBatchId(batchId: String): MutableList<SysUploadInfo>

    /**
     * 通过id获取单条 文件数据
     */
    fun getUploadInfoById(id: Long): SysUploadInfo?

    /**
     * 通过ids获取 文件数据 列表
     */
    fun getUploadInfoListByIdList(ids: Collection<Long>): MutableList<SysUploadInfo>

    /**
     * 通过id修改文件信息
     */
    fun modifyFileInfo(entity: SysUploadInfo): SysUploadInfo

    /**
     * 通过id批量修改文件信息
     */
    fun modifyBatchFileInfo(entityList: MutableList<SysUploadInfo>): MutableList<SysUploadInfo>
}
